# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.1058.1.3 -> 1.1058.1.4
#	arch/ia64/kernel/acpi.c	1.6.4.2 -> 1.6.4.3
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 03/08/05	greg@kroah.com	1.1019.5.11
# [PATCH] USB: remove some vendor specific stuff from the pl2303 driver to get other devices to work.
# --------------------------------------------
# 03/08/05	bjorn.helgaas@hp.com	1.1058.2.2
# ia64: kernel/acpi.c: Whitespace changes to follow 2.5.
# --------------------------------------------
# 03/08/05	bjorn.helgaas@hp.com	1.1058.1.4
# ia64: (acpi_register_irq): Rename argument to follow 2.5.
# --------------------------------------------
#
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:05:58 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:05:59 2003
@@ -632,7 +632,7 @@
 }
 
 int
-acpi_register_irq (u32 gsi, u32 polarity, u32 mode)
+acpi_register_irq (u32 gsi, u32 polarity, u32 trigger)
 {
 	int vector = 0;
 
@@ -645,7 +645,7 @@
 	/* Turn it on */
 	vector = iosapic_register_intr(gsi,
 		       	(polarity == ACPI_ACTIVE_HIGH) ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
-			(mode == ACPI_EDGE_SENSITIVE) ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
+			(trigger == ACPI_EDGE_SENSITIVE) ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
 	return vector;
 }
 
